package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.BillingCouponCardDTO;

import java.util.Date;

/**
 * 
 * @ClassName: BillingCouponCardApiService
 * @Description:  
 * @author zhiwj
 * @date 2019/8/14 17:50
 */
public interface BillingCouponCardApiService {
    
    /**
     * 优惠券列表
     * @Title: listBillingCouponCard
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param startTime
     * @param endTime
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingCouponCardDTO>
     * @throws
     */
    ServiceResponse<Page<BillingCouponCardDTO>> listBillingCouponCard(Integer enterpriseId, Date startTime, Date endTime);

    /**
     * 某产品能使用的优惠券
     * @Title: listBillingCouponCardEnable
     * @Description: 
     * @author zhiwj 
     * @param enterpriseId
     * @param applicableProductCode
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.BillingCouponCardDTO>>
     * @throws 
     */
    ServiceResponse<Page<BillingCouponCardDTO>> listBillingCouponCardEnable(Integer enterpriseId, Integer applicableProductCode);
    
    /**
     * 查询卡券详情
     * @Title: getBillingCouponCard
     * @Description: 
     * @author zhiwj 
     * @param couponCardId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingCouponCardDTO>
     * @throws 
     */
    ServiceResponse<BillingCouponCardDTO>  getBillingCouponCard(Integer couponCardId);

}
