package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.BillingPayInfoDTO;
import com.gic.enterprise.dto.InvoiceDTO;
import com.gic.enterprise.qo.BillListQueryQO;
/**
 * 支付信息
 * @ClassName: BillingPayInfoApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 1:53 PM 
 */
public interface BillingPayInfoApiService {

    /**
     * 分页查询为开票单据列表数据
     * @Title: listBill 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.BillingPayInfoDTO>> 
      */
    ServiceResponse<Page<BillingPayInfoDTO>> listBill(BillListQueryQO params);

    /**
     * 从redis获取开票申请中的开户相关信息
     * @Title: getInvoiceInfoFromRedis 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.InvoiceDTO> 
      */
    ServiceResponse<InvoiceDTO> getInvoiceInfoFromRedis(Integer enterpriseId);
}
