package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingAccountBalanceRecord;

public interface TabBillingAccountBalanceRecordMapper {
    /**
     * 根据主键删除
     *
     * @param accountBalanceRecordId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer accountBalanceRecordId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingAccountBalanceRecord record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingAccountBalanceRecord record);

    /**
     * 根据主键查询
     *
     * @param accountBalanceRecordId 主键
     * @return 实体对象
     */
    TabBillingAccountBalanceRecord selectByPrimaryKey(Integer accountBalanceRecordId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingAccountBalanceRecord record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingAccountBalanceRecord record);
}