package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingCouponCard;
import com.github.pagehelper.Page;

import java.util.Date;

public interface TabBillingCouponCardMapper {
    /**
     * 根据主键删除
     *
     * @param couponCardId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer couponCardId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingCouponCard record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingCouponCard record);

    /**
     * 根据主键查询
     *
     * @param couponCardId 主键
     * @return 实体对象
     */
    TabBillingCouponCard selectByPrimaryKey(Integer couponCardId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingCouponCard record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingCouponCard record);

    Page<TabBillingCouponCard> listBillingCouponCard(Integer enterpriseId, Date startTime, Date endTime);
}