package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingDoubleCallingRecord;

public interface TabBillingDoubleCallingRecordMapper {
    /**
     * 根据主键删除
     *
     * @param doubleCallingRecordId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer doubleCallingRecordId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingDoubleCallingRecord record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingDoubleCallingRecord record);

    /**
     * 根据主键查询
     *
     * @param doubleCallingRecordId 主键
     * @return 实体对象
     */
    TabBillingDoubleCallingRecord selectByPrimaryKey(Integer doubleCallingRecordId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingDoubleCallingRecord record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingDoubleCallingRecord record);
}