package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingPayInfo;
import com.gic.enterprise.qo.BillListQueryQO;

import java.util.List;

public interface TabBillingPayInfoMapper {
    /**
     * 根据主键删除
     *
     * @param payInfoId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer payInfoId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingPayInfo record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingPayInfo record);

    /**
     * 根据主键查询
     *
     * @param payInfoId 主键
     * @return 实体对象
     */
    TabBillingPayInfo selectByPrimaryKey(Integer payInfoId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingPayInfo record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingPayInfo record);

    /**
     * 查询为开票单据列表数据
     * @Title: listBill 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.enterprise.entity.TabBillingPayInfo> 
      */
    List<TabBillingPayInfo> listBill(BillListQueryQO params);
}