package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingRecordingStorageRecord;

public interface TabBillingRecordingStorageRecordMapper {
    /**
     * 根据主键删除
     *
     * @param recordingStorageRecordId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer recordingStorageRecordId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingRecordingStorageRecord record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingRecordingStorageRecord record);

    /**
     * 根据主键查询
     *
     * @param recordingStorageRecordId 主键
     * @return 实体对象
     */
    TabBillingRecordingStorageRecord selectByPrimaryKey(Integer recordingStorageRecordId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingRecordingStorageRecord record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingRecordingStorageRecord record);
}