package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingSmsPackageRecord;

public interface TabBillingSmsPackageRecordMapper {
    /**
     * 根据主键删除
     *
     * @param smsPackageRecordId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer smsPackageRecordId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingSmsPackageRecord record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingSmsPackageRecord record);

    /**
     * 根据主键查询
     *
     * @param smsPackageRecordId 主键
     * @return 实体对象
     */
    TabBillingSmsPackageRecord selectByPrimaryKey(Integer smsPackageRecordId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingSmsPackageRecord record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingSmsPackageRecord record);
}