package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingSmsRecord;

public interface TabBillingSmsRecordMapper {
    /**
     * 根据主键删除
     *
     * @param smsRecordId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer smsRecordId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingSmsRecord record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingSmsRecord record);

    /**
     * 根据主键查询
     *
     * @param smsRecordId 主键
     * @return 实体对象
     */
    TabBillingSmsRecord selectByPrimaryKey(Integer smsRecordId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingSmsRecord record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingSmsRecord record);
}