package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingVoiceCodeRecord;

public interface TabBillingVoiceCodeRecordMapper {
    /**
     * 根据主键删除
     *
     * @param voiceCodeRecordId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer voiceCodeRecordId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingVoiceCodeRecord record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingVoiceCodeRecord record);

    /**
     * 根据主键查询
     *
     * @param voiceCodeRecordId 主键
     * @return 实体对象
     */
    TabBillingVoiceCodeRecord selectByPrimaryKey(Integer voiceCodeRecordId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingVoiceCodeRecord record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingVoiceCodeRecord record);
}