package com.gic.enterprise.service.impl;

import com.gic.commons.util.GlobalInfo;
import com.gic.enterprise.constant.BillingAuditStatusEnum;
import com.gic.enterprise.constant.BillingOrderStatusEnum;
import com.gic.enterprise.dao.mapper.TabBillingOrderMapper;
import com.gic.enterprise.dto.BillingOrderDTO;
import com.gic.enterprise.entity.TabBillingOrder;
import com.gic.enterprise.service.BillingOrderService;
import com.gic.store.utils.CreateSerialNumberUtils;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
public class BillingOrderServiceImpl implements BillingOrderService {

    private Logger logger = LogManager.getLogger(BillingOrderServiceImpl.class);
    @Autowired
    private TabBillingOrderMapper tabBillingOrderMapper;

    @Override
    public Integer saveOrderBuyNow(BillingOrderDTO billingOrderDTO) {
        TabBillingOrder billingOrder = new TabBillingOrder();
        billingOrder.setEnterpriseId(billingOrderDTO.getEnterpriseId());
        // 统一流水号
        billingOrder.setSerialNumber(CreateSerialNumberUtils.createSerialNumber());
        billingOrder.setOrderStatus(BillingOrderStatusEnum.WAIT_PAY.getCode());
        billingOrder.setTotalFee(billingOrderDTO.getTotalFee());
        billingOrder.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
        billingOrder.setAuditStatus(BillingAuditStatusEnum.AUDITING.getCode());
        billingOrder.setCreateTime(new Date());
        billingOrder.setItemJson(billingOrderDTO.getItemJson());
        tabBillingOrderMapper.insertSelective(billingOrder);
        return billingOrder.getOrderId();
    }

}
