package com.gic.enterprise.service.outer;

import com.gic.enterprise.entity.TabEnterprise;
import com.gic.enterprise.error.ErrorCode;
import com.gic.enterprise.service.EnterpriseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.PageHelperUtils;
import com.gic.enterprise.dto.BillingPayInfoDTO;
import com.gic.enterprise.dto.InvoiceDTO;
import com.gic.enterprise.qo.BillListQueryQO;
import com.gic.enterprise.service.BillingPayInfoApiService;
import com.gic.enterprise.service.BillingPayInfoService;
import com.gic.redis.data.util.RedisUtil;

@Service("billingPayInfoApiService")
public class BillingPayInfoApiServiceImpl implements BillingPayInfoApiService{
    @Autowired
    private BillingPayInfoService billingPayInfoService;
    @Autowired
    private EnterpriseService enterpriseService;
    @Override
    public ServiceResponse<Page<BillingPayInfoDTO>> listBill(BillListQueryQO params) {
        com.github.pagehelper.Page page = billingPayInfoService.listBilling(params);
        Page<BillingPayInfoDTO> resultPage = PageHelperUtils.changePageHelperToCurrentPage(page, BillingPayInfoDTO.class);
        return ServiceResponse.success(resultPage);
    }

    @Override
    public ServiceResponse<InvoiceDTO> getInvoiceInfoFromRedis(Integer enterpriseId) {
        TabEnterprise enterprise = enterpriseService.getEnterpriseById(enterpriseId);
        if (enterprise == null) {
            return ServiceResponse.failure(ErrorCode.PARAMETER_ERROR.getCode(), "商户ID有误");
        }
        InvoiceDTO value = (InvoiceDTO) RedisUtil.getCache("enterprise:billing:invoice:" + enterpriseId);
        if(value == null){
            return ServiceResponse.success(new InvoiceDTO());
        }
        return ServiceResponse.success(value);
    }
}
