package com.gic.enterprise.web.controller;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.qo.BillListQueryQO;
import com.gic.enterprise.service.BillingPayInfoApiService;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.enterprise.web.vo.BillListVO;

@RestController
@RequestMapping("/billing-pay-info")
public class BillingPayInfoController {
    private static final Logger LOGGER = LoggerFactory.getLogger(BillingPayInfoController.class);

    @Autowired
    private BillingPayInfoApiService billingPayInfoApiService;

    @RequestMapping("/list-bill")
    public RestResponse listBill(BillListQueryQO params) {
        return ResultControllerUtils.commonPageResult(billingPayInfoApiService.listBill(params), BillListVO.class);
    }

}
